# bossui 组件工程

## 技术说明

> nodejs 运行环境

> vue-cli4 脚手架

> json-server 数据模拟

> webpack 前端构建

> uglifyjs-webpack-plugin 代码混淆生产环境去除console.log

> compression-webpack-plugin gzip压缩优化

> apidoc 注释自动生成api文档


## 运行说明

``` bash
# 安装依赖
npm install

# 模拟服务（http://localhost:8137）
npm run server

# 开发环境热加载（http://localhost:8138）
npm run dev

# 生产环境压缩编译
npm run build
npm run build -- host=http://x.x.x.x:yyyy

# 发布成package(npm publish之前必须执行此步骤)
npm run lib

# 生成api
npm run api

```


## 工程说明

``` bash
+   app                                              应用目录
--      api                                          应用接口目录
--      views                                        应用视图目录
+   components                                       组件目录
+   demo                                             组件案例目录
--      api                                          组件案例接口目录
--      views                                        组件案例视图目录
+   dist                                             生产压缩目录（运行npm run build 自动生成）
+   lib                                              组件包目录（运行npm run lib 自动生成）
+   doc                                              组件API手册（运行npm run api 自动生成）
+   node_moduLes                                     依赖包（运行npm install 自动生成）
+   src                                              项目核心文件
--      assets                                       公共资源
--      style                                        公共样式
--      datamock                                     数据模拟（jsonserver）
--      router                                       路由
--      store                                        vuex
--      template                                     页面模板
--      main.js                                      主入口文件
--      server.js                                    服务配置
--      components.js                                组件全局注册配置
+   .browserslistrc                                  目标浏览器配置
+   .eslintrc.js                                     Eslint配置文件（代码标准约束）
+   .gitignore                                       git上传需要忽略的文件配置
+   babel.config.js                                  Babel配置文件（ES6转换ES5）
+   package.json                                     项目配置文档
+   package-lock.json                                项目配置固定版本文档
+   readme.md                                        说明文档
+   vue.config.js                                    webpack相关核心配置
+   npm-debug.log                                    npm相关log信息（报错多自动生成）
```

## 应用说明
```
+   views                                            应用目录
--      Home                                         系统框架
--      Index                                        首页
--      Log                                          日志
--      Components                                   组件
+   components                                       组件目录
--      BossData                                     地区数据
--      BossEcharts                                  封装echarts组件
--      BossFrame                                    系统框架
--      BossImage                                    图片列表组件
--      BossLogin                                    登录页面
--      BossQuery                                    查询头部组件
--      BossTable                                    表格组件
--      BossTree                                     树组件
--      BossUpload                                   上传组件

```

@copyright zhangdanqing
